package com.andersjbe.springflux.test;

import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.web.reactive.function.client.WebClient;

public class WebClientTest {

    public static void main(String[] args) {
        WebClient client = WebClient.builder()
                .baseUrl("localhost:8080/api/people")
                .defaultHeader(HttpHeaders.CONTENT_TYPE, MediaType.APPLICATION_JSON_VALUE)
                .build();

    }

    public void fetchPeople(WebClient client) {
        WebClient.RequestHeadersUriSpec<?> uriSpec = client.get();
        WebClient.RequestHeadersSpec<?> bodySpec = uriSpec.uri("/");
        bodySpec.retrieve();
    }
}
